// Copyright (c) Mito
import React from 'react';
// import css
import "../../../../css/taskpanes/ControlPanel/ControlPanelTaskpane.css";
import FilterCard from './filter/FilterCard';
import SortCard from './SortCard';
import ColumnSummaryGraph from './ColumnSummaryGraph';
import ColumnNameCard from './ColumnNameCard';
import ColumnSummaryStatistics from './ColumnSummaryStatistics';
import ControlPanelTaskpaneTabs from './ControlPanelTaskpaneTabs';
import DtypeCard from './DtypeCard';
export var ControlPanelTab;
(function (ControlPanelTab) {
    ControlPanelTab[ControlPanelTab["FilterSort"] = 0] = "FilterSort";
    ControlPanelTab[ControlPanelTab["SummaryStats"] = 1] = "SummaryStats";
})(ControlPanelTab || (ControlPanelTab = {}));
/*
    A modal that allows a user to rename, sort, and filter a column.
*/
function ControlPanelTaskpane(props) {
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: 'control-panel-taskpane-container default-taskpane-div' },
            React.createElement(ColumnNameCard, { columnHeader: props.columnHeader, openEditingColumnHeader: props.openEditingColumnHeader, selectedSheetIndex: props.selectedSheetIndex, mitoAPI: props.mitoAPI, setCurrOpenTaskpane: props.setCurrOpenTaskpane, setColumnRenameOpenOrClosed: props.setColumnRenameOpenOrClosed }),
            React.createElement("div", { className: 'default-taskpane-body-div mb-30px' },
                props.tab === ControlPanelTab.FilterSort &&
                    React.createElement(React.Fragment, null,
                        React.createElement(DtypeCard, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, columnFormula: props.columnFormula, mitoAPI: props.mitoAPI, lastStepIndex: props.lastStepIndex }),
                        React.createElement(SortCard, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, mitoAPI: props.mitoAPI }),
                        React.createElement(FilterCard, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, filters: props.filters, columnMitoType: props.columnMitoType, operator: props.operator, mitoAPI: props.mitoAPI })),
                props.tab === ControlPanelTab.SummaryStats &&
                    React.createElement(React.Fragment, null,
                        React.createElement(ColumnSummaryGraph, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, mitoAPI: props.mitoAPI }),
                        React.createElement(ColumnSummaryStatistics, { selectedSheetIndex: props.selectedSheetIndex, columnHeader: props.columnHeader, mitoAPI: props.mitoAPI })))),
        React.createElement(ControlPanelTaskpaneTabs, { selectedTab: props.tab, setSelectedColumnControlPanelTab: props.setSelectedColumnControlPanelTab })));
}
export default ControlPanelTaskpane;
//# sourceMappingURL=ControlPanelTaskpane.js.map