// Copyright (c) Mito
import { BooleanFilterCondition, DatetimeFilterCondition, NumberFilterCondition, StringFilterCondition } from './filterTypes';
export function getEmptyFilterData(columnMitoType) {
    switch (columnMitoType) {
        case "boolean_series" /* BOOLEAN_SERIES */: return {
            type: "boolean_series" /* BOOLEAN_SERIES */,
            condition: BooleanFilterCondition.IS_TRUE,
            value: ''
        };
        case "string_series" /* STRING_SERIES */: return {
            type: "string_series" /* STRING_SERIES */,
            condition: StringFilterCondition.CONTAINS,
            value: ''
        };
        case "number_series" /* NUMBER_SERIES */: return {
            type: "number_series" /* NUMBER_SERIES */,
            condition: NumberFilterCondition.GREATER,
            value: ''
        };
        case "datetime_series" /* DATETIME_SERIES */: return {
            type: "datetime_series" /* DATETIME_SERIES */,
            condition: DatetimeFilterCondition.DATETIME_EXTACTLY,
            value: ''
        };
        // We include a default return, to stop filters on columns
        // like timedeltas from crashing the sheet if you add
        // a filter to it (although it's non functional :( )
        default: return {
            type: "string_series" /* STRING_SERIES */,
            condition: StringFilterCondition.CONTAINS,
            value: ''
        };
    }
}
//# sourceMappingURL=utils.js.map