// Copyright (c) Mito
import React from 'react';
import Select from '../../elements/Select';
// Import css
import XIcon from '../../icons/XIcon';
import Col from '../../spacing/Col';
import Row from '../../spacing/Row';
/*
  A custom component that displays the column headers chosen as the key for the pivot table.
*/
const PivotTableColumnHeaderCard = (props) => {
    return (React.createElement(Row, { justify: 'space-between', align: 'center' },
        React.createElement(Col, { flex: '1' },
            React.createElement(Select, { value: props.columnHeader, options: props.columnHeaders, onChange: (newColumnHeader) => {
                    props.editKey(props.keyIndex, newColumnHeader);
                } })),
        React.createElement(Col, { offset: 1, offsetRight: 1 },
            React.createElement(XIcon, { onClick: () => props.removeKey(props.keyIndex) }))));
};
export default PivotTableColumnHeaderCard;
//# sourceMappingURL=PivotTableColumnHeaderCard.js.map