// Copyright (c) Mito
import React from 'react';
import PivotTableColumnHeaderCard from './PivotTableColumnHeaderCard';
// import css
import PivotInvalidSelectedColumnsError from './PivotInvalidSelectedColumnsError';
import DropdownButton, { getOptionsFromArray } from '../../elements/DropdownButton';
import Row from '../../spacing/Row';
import Col from '../../spacing/Col';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableKeySelection = (props) => {
    const pivotTableColumnHeaderCards = props.selectedColumnHeaders.map((columnHeader, keyIndex) => {
        return (React.createElement(PivotTableColumnHeaderCard, { key: columnHeader + keyIndex, columnHeader: columnHeader, keyIndex: keyIndex, columnHeaders: props.columnHeaders, removeKey: props.removeKey, editKey: props.editKey }));
    });
    return (React.createElement("div", null,
        React.createElement(Row, { justify: 'space-between', align: 'center' },
            React.createElement(Col, null,
                React.createElement("p", { className: 'text-header-3' }, props.sectionTitle)),
            React.createElement(Col, null,
                React.createElement(DropdownButton, { options: getOptionsFromArray(props.columnHeaders, (columnHeader) => {
                        props.addKey(columnHeader);
                    }), width: 'small' }, "+ Add"))),
        React.createElement(PivotInvalidSelectedColumnsError, { columnHeaders: props.columnHeaders, pivotSection: props.rowOrColumn, selectedColumnHeaders: props.selectedColumnHeaders, mitoAPI: props.mitoAPI }),
        pivotTableColumnHeaderCards));
};
export default PivotTableKeySelection;
//# sourceMappingURL=PivotTableKeySelection.js.map