// Copyright (c) Mito
import React from 'react';
import PivotTableValueAggregationCard from './PivotTableValueAggregationCard';
// import css
import PivotInvalidSelectedColumnsError from './PivotInvalidSelectedColumnsError';
import DropdownButton, { getOptionsFromArray } from '../../elements/DropdownButton';
import Row from '../../spacing/Row';
import Col from '../../spacing/Col';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableValueSelection = (props) => {
    return (React.createElement("div", null,
        React.createElement(Row, { justify: 'space-between', align: 'center' },
            React.createElement(Col, null,
                React.createElement("p", { className: 'text-header-3' }, "Values")),
            React.createElement(Col, null,
                React.createElement(DropdownButton, { options: getOptionsFromArray(props.columnHeaders, props.addPivotValueAggregation), width: 'small' }, "+ Add"))),
        React.createElement(PivotInvalidSelectedColumnsError, { columnHeaders: props.columnHeaders, pivotSection: 'values', selectedColumnHeaders: props.pivotValues.map(([columnHeader,]) => columnHeader), mitoAPI: props.mitoAPI }),
        props.pivotValues.map(([columnHeader, aggregationType], valueIndex) => {
            return (React.createElement(PivotTableValueAggregationCard, { key: columnHeader + valueIndex + aggregationType, columnHeader: columnHeader, columnHeaders: props.columnHeaders, aggregationType: aggregationType, removePivotValueAggregation: () => {
                    props.removePivotValueAggregation(valueIndex);
                }, editPivotValueAggregation: (newAggregationType, newColumnHeader) => {
                    props.editPivotValueAggregation(valueIndex, newAggregationType, newColumnHeader);
                } }));
        })));
};
export default PivotTableValueSelection;
//# sourceMappingURL=PivotTableValueSelection.js.map